## EXPORT_SPEC IXML_Document* UpnpMakeActionResponse

## ( IN const char* ActionName,
IN const char* ServType,
IN int NumArg,
IN const char* Arg,
IN ... )

> UpnpMakeActionResponse creates an action response packet based on its output parameters (status variable name and value pair).

## Documentation

> UpnpMakeActionResponse creates an action response packet based on its output parameters (status variable name and value pair). Any number of input parameters can be passed to this function but every output variable name should have a matching value argument.

Parameters:
  - ActionName The action name.
  ServType - The service type.
  NumArg - The number of argument pairs passed.
  Arg - The status variable name and value pair.
Returns:
  [IXML_Document*] The action node of Upnp_Document type or `NULL` if the operation failed.

Alphabetic index

This page was generated with the help of DOC++.